var BREAK_POINT_1 = 767;

$(function() {
  init();

  function init() {
    killNoLinkClick();
    //initAnimateScroll();
    initTopMenu();
    initSlider();
    //initEvents();

    $wrapper = $('<div>').css({
      'overflow': 'hidden',
      'padding-right': 0
    });
    $('[class^=flex-gutter-]').wrap($wrapper);
    //$('[class^=flex-gutter-]').remove();
  }

  function initEvents() {
    /*
    $(window).on('scroll resize', function() {
        if ($(this).scrollTop() > 50) {
            if (!$('.global-header').hasClass('global-header-mini')) {
                $('.global-header').addClass('global-header-mini');
            }
        } else {
            if ($('.global-header').hasClass('global-header-mini')) {
                $('.global-header').removeClass('global-header-mini');
            }
        }

        if ($(window).width() <= BREAK_POINT_1) {
            if ($('.global-header').hasClass('global-header-mini')) {
                $('.global-header').removeClass('global-header-mini');
            }
        }

    });
    */

    $('.js-scview, .js-scview-r, .js-scview-l').append('<div class="js-scview-msk">').css('visibility', 'visible');
    $(window).on('scroll load', function() {
      //
      $('.js-scview, .js-scview-r, .js-scview-l').each(function() {
        if ($(window).scrollTop() > $(this).offset().top - ($(window).height() * .8)) {
          $(this).addClass('js-scview-view');
        }
      });
    });
  }

  function initSlider() {
    $slider = $('.main-header__slide').slick({
      dots: true,
      speed: 500,
      autoplay: true,
      pauseOnHover: false,
      arrows: false,
      fade: false,
      waitForAnimate: false,
    });

    $slider2 = $('.slider-list-1__slider').slick({
      dots: false,
      speed: 500,
      autoplay: true,
      pauseOnHover: false,
      arrows: false,
      fade: false,
      waitForAnimate: false,
      slidesToShow: 4,
      slidesToScroll: 1,
      responsive: [{
        breakpoint: BREAK_POINT_1,
        settings: {
          slidesToShow: 1,
        }
      }]
    });

    $('.slide-nav-1 a:first-child').on('click', function() {
      $slider2.slick('slickNext');
    });
    $('.slide-nav-1 a:last-child').on('click', function() {
      $slider2.slick('slickPrev');
    });
  }

  function initTopMenu() {
    $('.g-menu-btn').on('click', function() {
      $('body').toggleClass('nav-open');
      $('.g-nav').stop().slideToggle(300);
    });
    var isPc = false;
    $(window).on('resize load', function() {
      if ($(window).width() > BREAK_POINT_1) {
        if (!isPc) {
          $('.g-nav').show();
          isPc = true;
        }
      } else {
        if (isPc) {
          $('.g-nav').hide();
          $('body').removeClass('nav-open');
          isPc = false;
        }
      }

    });
  }



  // リンク指定なし（リンク#）の場合はクリックを無効
  function killNoLinkClick() {
    //
    $('a[href=#]').click(function() {
      return false;
    });
    initTelLink();
  }

  // PCの場合はtel:リンクをkill
  function initTelLink() {
    var ua = navigator.userAgent.toLowerCase();
    var isMobile = /iphone/.test(ua) || /android(.+)?mobile/.test(ua);
    if (!isMobile) {
      $('a[href^="tel:"]').on('click', function(e) {
        e.preventDefault();
      });
    }
    $('a[href^="tel:"]').css({ 'cursor': 'default' });
    $('a[href^="tel:"]').on('mouseenter', function() {
      $(this).css({ 'opacity': 1 });
    });
  }


  // animate scroll
  function initAnimateScroll() {

    if (location.hash.match(/#/)) {
      if ($(location.hash)[0]) $(window).scrollTop($(location.hash).offset().top - $('.global-header').height());
    }

    var time = 500;
    $('a[href*=#]').click(function() {
      var target = $(this.hash)
      if (!target.length) {
        return;
      }
      var targetY = target.offset().top - $('.global-header').height();
      $('html,body').animate({
          scrollTop: targetY
        },
        time, 'swing');
      window.history.pushState(null, null, this.hash);
      return false;
    });
    //
    if ($('.to-top')[0]) {
      $('.to-top').hide();
      $(window).on('scroll', function() {
        if ($(window).scrollTop() > 200) {
          $('.to-top').stop().fadeIn(400);
        } else {
          $('.to-top').stop().fadeOut(400);
        }
      });
    }
  }

$('.main-header ul li a').each(function() {
  var $href = $(this).attr('href');
  if ($href == "#") {
    $(this).addClass("invalid");
  }
});

});